<div class="manage-list-row" {{did-insert this.setup}} ...attributes>
  {{#if @onSelect}}
    <div class="selection">
      <ChkRecordSelection @record={{this.record}} @selection={{@selection}} @onSelect={{@onSelect}} />
    </div>
  {{/if}}
  {{!-- template-lint-disable no-invalid-interactive --}}
  <div class="title" {{on "click" (fn this.onClick @record)}}>
    <div class="record-name">
      {{@record.name}}
    </div>

    <div class="labels">
      {{#if @label}}
        <div class="label">
          {{@label}}
        </div>
      {{/if}}

      {{#if this.record.strStatus}}
        <span class="badge bg-{{this.record.statusColor}}">
          {{this.record.strStatus}}
        </span>
      {{/if}}

      {{#if this.hasVisibility}}
        {{#if this.isPublic}}
          <span class="badge bg-success">
            {{t "visibility-public"}}
          </span>
        {{/if}}

        {{#if this.isPrivate}}
          <span class="badge bg-warning text-dark">
            {{t "visibility-private"}}
          </span>
        {{/if}}

        {{#if this.isPending}}
          <span class="badge bg-info text-dark">
            {{t "visibility-pending"}}
          </span>
        {{/if}}
      {{/if}}

      {{yield to="labels"}}
    </div>
  </div>

  {{#if @useStatus}}
    <div class="author d-flex justify-content-between flex-column">
      <div class="status">
        <span class="badge bg-{{this.statusColor}} ms-1">
          {{t (concat "record-status." this.status)}}
        </span>
      </div>
      <div class="date">{{this.niceReleaseDate}}</div>
    </div>
  {{/if}}

  {{#if @useAuthor}}
    <div class="author d-flex justify-content-between flex-column">
      <div class="name">
        {{#if this.author.fullName}}
          {{this.author.fullName}}
        {{else}}
          Anonymous
        {{/if}}
      </div>
      <div class="date">{{this.niceCreationDate}}</div>
    </div>
  {{/if}}

  {{#if @record.canEdit}}
    <div class="options">
      <Dropdown class="float-end">
        {{yield to="options"}}
        <ModelActions::Record @record={{@record}} @onDelete={{@onDelete}} />
      </Dropdown>
    </div>
  {{/if}}
</div>